org.apache.ignite.internal.util.ipc

## Interface IpcEndpoint

All Superinterfaces:
  AutoCloseable, Closeable

All Known Implementing Classes:
  IpcClientTcpEndpoint

    public interface IpcEndpoint
    extends Closeable

IPC endpoint used for point-to-point communication.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `close()` Closes endpoint.
`InputStream` `inputStream()` Gets input stream associated with this IPC endpoint.
`OutputStream` `outputStream()` Gets output stream associated with this IPC endpoint.

### Method Detail

#### inputStream

    InputStream inputStream()
                     throws IgniteCheckedException

Gets input stream associated with this IPC endpoint.

Returns:
  IPC input stream.
Throws:
  `IgniteCheckedException` - If error occurred.

#### outputStream

    OutputStream outputStream()
                       throws IgniteCheckedException

Gets output stream associated with this IPC endpoint.

Returns:
  IPC output stream.
Throws:
  `IgniteCheckedException` - If error occurred.

#### close

    void close()

Closes endpoint. Note that IPC endpoint may acquire native resources so it must be always closed once it is not needed.

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023